Name: t1lib
Version: 1.3.1
Release: alt2

Summary: Type 1 font rasterizer
License: LGPL
Group: System/Libraries
Url: http://www.neuroinformatik.ruhr-uni-bochum.de/ini/PEOPLE/rmz/%name/%name.html

Source: ftp://ibiblio.org/pub/Linux/libs/graphics/%name-%version.tar.bz2
#Patch0: %name-1.0.1-docdir.patch
Patch1: %name-DESTDIR.patch
Patch2: %name-doc.patch
Patch3: %name-config.patch

Provides: libt1.so.0 libt1x.so.0

Prefix: %prefix

# Automatically added by buildreq on Sun Oct 13 2002
BuildRequires: XFree86-devel glibc-devel-static latex2html tetex-dvips tetex-latex xpm

%package devel
Summary: Type 1 font rasterizer development files
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Type 1 font rasterizer static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%package utils
Summary: Utilities for manipulating Type 1 fonts
License: GPL
Group: Graphics
Requires: %name = %version-%release

%description
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.
T1lib also includes a support for antialiasing.

%description devel
This package contains development files required for building
%name-based software.

%description devel-static
This package contains static libraries required for building
statically linked %name-based software.

%description utils
This package contains the programs "xglyph" and "type1afm"
It also contains the "t1libconfig" script used to configure %name.

%prep
%setup -q -n %name-%version
%patch1 -p1
%patch2 -p0
%patch3 -p0

%build
autoconf
%configure
%make_build without_doc

pushd doc
	make clean
	make pdf
	bzip2 -9 t1lib_doc.pdf
popd

%install
%make_install install
ln -s libt1.so.1 $RPM_BUILD_ROOT%_libdir/libt1.so.0
ln -s libt1x.so.1 $RPM_BUILD_ROOT%_libdir/libt1x.so.0
mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version
install -p -m644 Changes README.t* doc/t1lib_doc.pdf.bz2 $RPM_BUILD_ROOT%_docdir/%name-%version

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/%name.config
%dir %_docdir/%name-%version
%doc %_docdir/%name-%version/[A-Z]*

%files devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%dir %_docdir/%name-%version
%doc %_docdir/%name-%version/t1lib_doc.pdf.bz2

%files devel-static
%_libdir/*.a

%files utils
%_bindir/*

%changelog
* Sun Oct 13 2002 Yury A. Zotov <yz@altlinux.ru> 1.3.1-alt2
- build with gcc3.2
- new BuildRequires

* Fri Jun 14 2002 Yury A. Zotov <yz@altlinux.ru> 1.3.1-alt1
- new version

* Mon Oct 29 2001 AEN <aen@logic.ru> 1.3-alt1
- new verson 

* Mon Sep 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2-alt1
- 1.2
- Moved configuration to %_sysconfdir/%name (FHS).
- Moved static libraries to devel-static subpackage.
- Moved utilities to utils subpackage.
- Corrected interpackage requires.
- Repackage documentation.

* Wed Oct 18 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.1-ipl1mdk
- FHSification.

* Wed Apr  5 2000 Dmitry V. Levin <ldv@fandra.org>
- RE adaptions.

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.2-3mdk
- fix group.

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force.

* Sat Oct 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.9.2.

* Thu Aug 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added PostScript documentation.
- split into main and devel package.

* Sun Aug 1 1999 Richard D. Jackson <richardj@1gig.net>
- first release of t1lib-0.9.1
